/****************************************************************************************************

		IMFNodeReferencePart.h
		Copyright: (c) 2001 Eovia Corp. All rights reserved.

		Author:	Pierre-Sylvain Desse
		Date:	4/6/2005

****************************************************************************************************/

#ifndef __IMFNodeReferencePart__
#define __IMFNodeReferencePart__

#if CP_PRAGMA_ONCE
#pragma once
#endif


MCDEFINE_GUID(IID_IMFNodeReferencePart, 0x85e7453b, 0xceed, 0x4983, 0x8e, 0x2f, 0xfd, 0x82, 0xea, 0x7c, 0xe1, 0xf5);


/// \addtogroup MCF
/// \{

/// This is the interface to access a node reference part. The corresponding type in MCSketch is:
/// TMFNodeReferencePart
///
struct IMFNodeReferencePart : public IMCUnknown
{
	virtual ResourceID	GetReferenceNodeID(void) const = 0;
	virtual void		SetReferenceNodeID(ResourceID inResID) = 0;
	virtual boolean		GetResizeReferencedPartValue() const = 0;
	virtual void		SetResizeReferencedPartValue(boolean inValue) = 0;
};

/// \}



#endif
